@import "src/components/Theme";

.inputContainer {
  width: 100%;

  input {
    padding: 8px 10px;
    @include bodyRegularType($mainDark);
    border: 1px solid $lightGray;
    box-sizing: border-box;
    border-radius: 2px;
    outline: none;
    width: 100%;

    transition: border-color 300ms;

    &:hover {
      border-color: $lightGrayHover;
    }

    &:focus {
      border-color: $mainBlue;
    }

    &.invalid {
      border-color: $red;
    }

    &:disabled {
      background: $background;
    }

  }
}